commit: 978ea7b23e9a5988e0b3587f91896e5a4de7121e
Author: Z. Liu <zhixu.liu <AT> gmail <DOT> com>
AuthorDate: Sun Jan 19 04:07:04 2025 +0000
Commit: Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Wed Feb 26 10:50:27 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=978ea7b2
sys-libs/libnvidia-container: add 1.17.3
1. bump 1.1.73
2. force gcc because of "-fplan9-extensions"
Signed-off-by: Z. Liu <zhixu.liu <AT> gmail.com>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>
sys-libs/libnvidia-container/Manifest | 1 +
...ner-9999.ebuild => libnvidia-container-1.17.3.ebuild} | 16 +++++++++-------
.../libnvidia-container/libnvidia-container-9999.ebuild | 16 +++++++++-------
3 files changed, 19 insertions(+), 14 deletions(-)
diff --git a/sys-libs/libnvidia-container/Manifest
b/sys-libs/libnvidia-container/Manifest
index 4089b4407e01..5451668a0b32 100644
--- a/sys-libs/libnvidia-container/Manifest
+++ b/sys-libs/libnvidia-container/Manifest
@@ -1,2 +1,3 @@
DIST libnvidia-container-1.17.2.tar.gz 1611920 BLAKE2B
571ddc5fda854999cd7d1b2bbc40d34728827bf2e9c26afe6784166db7202d2baa55b0ca0eba50be61b029645735aaf91655bfec55113996eaf8c5278b835cd8
SHA512
a791998012f681805b3cc0a3bd38abc958a523c3eaa13cab36be4e0242cfba095719d5f6fa59423453a81c3fc76c96a4bbfd2eea27d20e2ef2f9a03d3a447fd8
+DIST libnvidia-container-1.17.3.tar.gz 1612952 BLAKE2B
dad0bdf68d6f9e7b7ed37792a7b5609ae632bc450fe69d5d31e035e2e404ec32e5fd8f1663c66c5613041c5d9f814af692a77b6e522c62e673e1df1cf19abc29
SHA512
24293e369fea42ebe64163464f600808c0d18e8b4efeea12095de22e16d43837cb6441f46baf52e8c966810c76b0f5045737a96d173e2ecf8cd15fff37cd4c4f
DIST libnvidia-container-nvidia-modprobe-550.54.14.tar.gz 47147 BLAKE2B
7b334877d98d0c75d5750192dea868436938852443ced14e74e59076ed4d8be9e361cdefbe48295d87bb91ac4565152ec3f3233479b3da19bb8baf8e7ef53cd6
SHA512
279228aa315ff5fd1a23df23527aff58b2319f11f9fc7d939fa285ea933b4cc6d223451e20ecf7f50baba9f6c9c100e57cb77675d0d17fa77f19d3fea2ccc193
diff --git a/sys-libs/libnvidia-container/libnvidia-container-9999.ebuild
b/sys-libs/libnvidia-container/libnvidia-container-1.17.3.ebuild
similarity index 90%
copy from sys-libs/libnvidia-container/libnvidia-container-9999.ebuild
copy to sys-libs/libnvidia-container/libnvidia-container-1.17.3.ebuild
index 02a66df0cfc1..5d4b6cda8900 100644
--- a/sys-libs/libnvidia-container/libnvidia-container-9999.ebuild
+++ b/sys-libs/libnvidia-container/libnvidia-container-1.17.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -73,6 +73,13 @@ src_prepare() {
eapply -p1 "${S}"/mk/nvidia-modprobe.patch
popd || die
+ if ! tc-is-gcc; then
+ ewarn "libnvidia-container must be built with gcc because of
option \"-fplan9-extensions\"!"
+ ewarn "Ignoring CC=$(tc-getCC) and forcing ${CHOST}-gcc"
+ export CC=${CHOST}-gcc AR=${CHOST}-gcc-ar
+ tc-is-gcc || die "tc-is-gcc failed in spite of CC=${CC}"
+ fi
+
default
}
@@ -84,12 +91,7 @@ src_configure() {
export CGO_CFLAGS="${CGO_CFLAGS:-$CFLAGS}"
export CGO_LDFLAGS="${CGO_LDFLAGS:-$LDFLAGS}"
- tc-export CC LD OBJCOPY PKG_CONFIG
-
- if ! tc-is-gcc; then
- eerror "Building ${PN} with clang is not supported because of
option \"-fplan9-extensions\"!"
- die "$(tc-getCC) is not a supported compiler. Please use
sys-devel/gcc"
- fi
+ tc-export LD OBJCOPY PKG_CONFIG
# we could also set GO compiller, but it currently defaults to gccgo,
but as for now I believe
# most users will prefer dev-lang/go and they usually don't define
GO="go" their make.conf either.
diff --git a/sys-libs/libnvidia-container/libnvidia-container-9999.ebuild
b/sys-libs/libnvidia-container/libnvidia-container-9999.ebuild
index 02a66df0cfc1..5d4b6cda8900 100644
--- a/sys-libs/libnvidia-container/libnvidia-container-9999.ebuild
+++ b/sys-libs/libnvidia-container/libnvidia-container-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -73,6 +73,13 @@ src_prepare() {
eapply -p1 "${S}"/mk/nvidia-modprobe.patch
popd || die
+ if ! tc-is-gcc; then
+ ewarn "libnvidia-container must be built with gcc because of
option \"-fplan9-extensions\"!"
+ ewarn "Ignoring CC=$(tc-getCC) and forcing ${CHOST}-gcc"
+ export CC=${CHOST}-gcc AR=${CHOST}-gcc-ar
+ tc-is-gcc || die "tc-is-gcc failed in spite of CC=${CC}"
+ fi
+
default
}
@@ -84,12 +91,7 @@ src_configure() {
export CGO_CFLAGS="${CGO_CFLAGS:-$CFLAGS}"
export CGO_LDFLAGS="${CGO_LDFLAGS:-$LDFLAGS}"
- tc-export CC LD OBJCOPY PKG_CONFIG
-
- if ! tc-is-gcc; then
- eerror "Building ${PN} with clang is not supported because of
option \"-fplan9-extensions\"!"
- die "$(tc-getCC) is not a supported compiler. Please use
sys-devel/gcc"
- fi
+ tc-export LD OBJCOPY PKG_CONFIG
# we could also set GO compiller, but it currently defaults to gccgo,
but as for now I believe
# most users will prefer dev-lang/go and they usually don't define
GO="go" their make.conf either.